---
updatedAt: 2026-08-05T10:35:57.000Z
agentTools:
  projectIndex: https://docs.ocrolus.com/llms.txt
---

# Retrieve revenue deduction tags

Retrieves a list of all current revenue deduction tags. These tags represent transaction categories that are excluded from **Total Credits** when calculating **Net Revenue**.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Tag management",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.ocrolus.com"
    }
  ],
  "security": [
    {
      "oauth": []
    }
  ],
  "paths": {
    "/v2/analytics/tags": {
      "get": {
        "summary": "Retrieve all tags (custom and system tags)",
        "operationId": "get-all-tags",
        "tags": [
          "Tag Management"
        ],
        "description": "This API is used to retrieves all available tags in the system, including both system-defined and custom-created tags. You can use the optional query parameter `is_system_tag` to filter the results:\n\nExamples:\n  - To retrieve all system-defined tags:\n    GET /v2/analytics/tags?is_system_tag=true\n\n  - To retrieve all custom-created tags:\n    GET /v2/analytics/tags?is_system_tag=false\n",
        "parameters": [
          {
            "name": "tag_type",
            "in": "query",
            "description": "This parameter is used to set the filter the to retrieve either system tags or custom tags at a time.",
            "required": false,
            "schema": {
              "type": "string",
              "example": "system",
              "enum": [
                "system",
                "custom"
              ]
            }
          }
        ],
        "x-readme": {
          "samples-languages": [
            "curl",
            "python"
          ],
          "explorer-enabled": false
        },
        "responses": {
          "200": {
            "description": "Tags Retrieved Successfully",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Success",
                  "type": "object",
                  "description": "Schema for the successful response of fetching all custom and system tags.",
                  "properties": {
                    "tags": {
                      "type": "array",
                      "description": "List of the retrieved tags based on the specified parameters.",
                      "items": {
                        "type": "object",
                        "properties": {
                          "uuid": {
                            "type": "string",
                            "format": "uuid",
                            "example": "61cc4be0-aa13-40ca-8a95-6fa74041fb29",
                            "description": "Unique identifier of the retrieved tag."
                          },
                          "name": {
                            "type": "string",
                            "example": "deposits",
                            "description": "Name of the retrieved tag."
                          },
                          "description": {
                            "type": "string",
                            "example": "Indicates whether this transaction represents a credit. This will always be true if the value of amount is positive.",
                            "description": "Description of the tag."
                          },
                          "color": {
                            "type": "string",
                            "example": "#E5F6FD",
                            "description": "Hexadecimal color code of tag in Dashboard."
                          },
                          "is_system_tag": {
                            "type": "boolean",
                            "example": true,
                            "description": "Indicates whether the tag is system-defined (`true`) or custom-created (`false`)."
                          },
                          "created_ts": {
                            "type": "string",
                            "format": "date-time",
                            "example": "2022-11-30T14:44:28.630940",
                            "description": "Timestamp when the retrieved tag was created."
                          },
                          "updated_ts": {
                            "type": "string",
                            "format": "date-time",
                            "example": "2024-01-19T15:44:12.336760",
                            "description": "Timestamp when the retrieved tag was last updated."
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Tags Retrieved Successfully": {
                    "value": {
                      "tags": [
                        {
                          "uuid": "61cc4be0-aa13-40ca-8a95-6fa74041fb29",
                          "name": "deposits",
                          "description": "Indicates whether this transaction represents a credit. Will always be true if the value of amount is positive.",
                          "color": "#E5F6FD",
                          "is_system_tag": true,
                          "created_ts": "2022-11-30T14:44:28.630940",
                          "updated_ts": "2024-01-19T15:44:12.336760"
                        },
                        {
                          "uuid": "ed80ca7b-4dbb-4dac-baed-089e255c7ee7",
                          "name": "testtag",
                          "description": "",
                          "color": "#B020E2",
                          "is_system_tag": false,
                          "created_ts": "2024-03-19T14:10:40.182351",
                          "updated_ts": "2024-03-19T14:11:38.935639"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Client Errors",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "Invalid auth",
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "description": "A numerical code that indicates the status of the request.",
                          "example": 400
                        },
                        "code": {
                          "type": "integer",
                          "description": "A numerical code that indicates the nature of an error.",
                          "example": 1401
                        },
                        "response": {
                          "type": "object",
                          "description": "An object received from the server that potentially contains data."
                        },
                        "message": {
                          "type": "string",
                          "description": "A textual description that indicates details about this response's status.",
                          "example": "Book not found"
                        },
                        "meta": {
                          "type": "object",
                          "description": "An object received from the server that potentially contains data.",
                          "properties": {
                            "status": {
                              "type": "integer",
                              "example": 400,
                              "description": "A numerical code that indicates the status of the request."
                            },
                            "message": {
                              "type": "string",
                              "example": "Book not found",
                              "description": "A textual description that indicates details about this response's status."
                            },
                            "code": {
                              "type": "integer",
                              "example": 1401,
                              "description": "A numerical code that indicates the nature of an error."
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "Bad request",
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "description": "A numerical code that indicates the status of the request."
                        },
                        "message": {
                          "type": "string",
                          "description": "A textual description that indicates details about this response's status."
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "Invalid auth": {
                    "value": {
                      "status": 400,
                      "code": 1200,
                      "message": "Authentication failed",
                      "meta": {
                        "status": 400,
                        "msg": "Authentication failed",
                        "code": 1200
                      }
                    }
                  },
                  "Bad request": {
                    "value": {
                      "status": 400,
                      "message": {
                        "A textual description that indicates details about this response's status": null
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Client Errors",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "type": "integer",
                      "description": "A numerical code that indicates the status of the request."
                    },
                    "message": {
                      "type": "string",
                      "description": "A textual description that indicates details about this response's status."
                    }
                  }
                },
                "examples": {
                  "Tag not": {
                    "value": {
                      "status": 404,
                      "message": "Tag not found."
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v2/analytics/revenue-deduction-tags": {
      "get": {
        "summary": "Retrieve revenue deduction tags",
        "operationId": "get-revenue-deduction-tags",
        "tags": [
          "Tag Management"
        ],
        "description": "Retrieves a list of all current revenue deduction tags. These tags represent transaction categories that are excluded from **Total Credits** when calculating **Net Revenue**.\n",
        "x-readme": {
          "samples-languages": [
            "curl",
            "python"
          ],
          "explorer-enabled": false
        },
        "responses": {
          "200": {
            "description": "Tags Retrieved Successfully",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Success",
                  "type": "object",
                  "description": "Schema for the successful response of fetching revenue deduction tags.",
                  "properties": {
                    "revenue_deduction_tags": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "example": [
                        "fintech_loan",
                        "bank_loan",
                        "other_loan",
                        "fintech_mca",
                        "bank_cash_advance",
                        "investment",
                        "gambling",
                        "card_rewards",
                        "reversed",
                        "sba",
                        "nsf",
                        "overdraft",
                        "returned_item",
                        "federal_tax",
                        "state_tax",
                        "payroll_tax",
                        "payroll",
                        "insurance",
                        "benefits",
                        "crypto",
                        "internal_transfer",
                        "other_transfer",
                        "revenue_deduction_other"
                      ],
                      "description": "A list of revenue deduction tags."
                    }
                  }
                },
                "examples": {
                  "Tags Retrieved Successfully": {
                    "value": {
                      "revenue_deduction_tags": [
                        "fintech_loan",
                        "bank_loan",
                        "other_loan",
                        "fintech_mca",
                        "bank_cash_advance",
                        "investment",
                        "gambling",
                        "card_rewards",
                        "reversed",
                        "sba",
                        "nsf",
                        "overdraft",
                        "returned_item",
                        "federal_tax",
                        "state_tax",
                        "payroll_tax",
                        "payroll",
                        "insurance",
                        "benefits",
                        "crypto",
                        "internal_transfer",
                        "other_transfer",
                        "revenue_deduction_other"
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1tags/get/responses/404/content/application~1json/schema"
                },
                "examples": {
                  "Bad request": {
                    "value": {
                      "status": 400,
                      "message": {
                        "A textual description that indicates details about this response's status": null
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Authentication Failed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1tags/get/responses/404/content/application~1json/schema"
                },
                "examples": {
                  "Authentication Failed": {
                    "value": {
                      "status": 401,
                      "message": "Authentication failed."
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Client Errors",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1tags/get/responses/404/content/application~1json/schema"
                },
                "examples": {
                  "Tag not found": {
                    "value": {
                      "status": 404,
                      "message": "Tag not found."
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "oauth": {
        "type": "oauth2",
        "description": "OAuth 2.0 support via client credentials flow. See [here](https://docs.ocrolus.com/ocrolus-api/docs/using-api-credentials) for usage information.\n",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://auth.ocrolus.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```